# Uses of Interface
org.apache.avro.generic.IndexedRecord

Packages that use IndexedRecord
Package
Description
org.apache.avro
Avro kernel classes.
org.apache.avro.data
Interfaces and base classes shared by generic, specific and reflect.
org.apache.avro.generic
A generic representation for Avro data.
org.apache.avro.specific
Generate specific Java classes for schemas and protocols.

## Uses of IndexedRecord in org.apache.avro

Methods in org.apache.avro that return IndexedRecord
Modifier and Type
Method
Description
`IndexedRecord`
Conversion.`toRecord(T value, Schema schema, LogicalType type)`
Methods in org.apache.avro with parameters of type IndexedRecord
Modifier and Type
Method
Description
`T`
Conversion.`fromRecord(IndexedRecord value, Schema schema, LogicalType type)`

## Uses of IndexedRecord in org.apache.avro.data

Classes in org.apache.avro.data with type parameters of type IndexedRecord
Modifier and Type
Class
Description
`class`
`RecordBuilderBase<T extends IndexedRecord>`
Abstract base class for RecordBuilder implementations.

## Uses of IndexedRecord in org.apache.avro.generic

Subinterfaces of IndexedRecord in org.apache.avro.generic
Modifier and Type
Interface
Description
`interface`
`GenericRecord`
A generic instance of a record schema.
Classes in org.apache.avro.generic that implement IndexedRecord
Modifier and Type
Class
Description
`static class`
`GenericData.Record`
Default implementation of `GenericRecord`.

## Uses of IndexedRecord in org.apache.avro.specific

Subinterfaces of IndexedRecord in org.apache.avro.specific
Modifier and Type
Interface
Description
`interface`
`SpecificRecord`
Implemented by generated record classes.
Classes in org.apache.avro.specific that implement IndexedRecord
Modifier and Type
Class
Description
`class`
`SpecificExceptionBase`
Base class for specific exceptions.
`class`
`SpecificRecordBase`
Base class for generated record classes.